Author Topic: Need to Install APCU Cache On CWP  (Read 9510 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
Need to Install APCU Cache On CWP
« on: March 15, 2017, 10:46:15 PM »
New to the panel as I need some programs to runs on apache. I am trying to set up a webserver to allow Akeneo, Ororcrm, Marello ERP, and DiamanteDesk help desk. On the Nginx stack I would install apcu like this

cd /svr-setup
git clone -b PHP5 https://github.com/krakjoe/apcu
cd apcu
/usr/local/bin/phpize
./configure --with-php-config=/usr/local/bin/php-config
make -j2
make install

However, it seems that apache has suPHP which I assume is a caching system. I am not too familiar with apache as far as the server aspects as I have very limited server admin experience; however, I do use nginx on my main server. I pray for the Lord's help in this regard God bless you.

Offline
**
Re: Need to Install APCU Cache On CWP
« Reply #1 on: November 07, 2019, 03:15:10 AM »
PROBLEM SOLVED

Hi, i discovered a great website https://www.mysterydata.com/ with a great administrator where you can find many guides for CWP and more, also by registering for free on the forum i found the solution to this problem thanks to the courtesy and extreme availability of the administrator.

SOLUTION:

https://forum.mysterydata.com/topic/5/cwp-how-to-update-apcu-from-v5-1-12-to-the-latest-and-stable-apcu-v5-1-18

Good day and good work to all !


Stay hungry, stay foolish.

Offline
*
Re: Need to Install APCU Cache On CWP
« Reply #2 on: January 09, 2022, 08:19:12 AM »
PROBLEM SOLVED

Hi, i discovered a great website https://www.mysterydata.com/ with a great administrator where you can find many guides for CWP and more, also by registering for free on the forum i found the solution to this problem thanks to the courtesy and extreme availability of the administrator.

SOLUTION:

https://forum.mysterydata.com/topic/5/cwp-how-to-update-apcu-from-v5-1-12-to-the-latest-and-stable-apcu-v5-1-18

Good day and good work to all !

It's not solved while I'm installing Akeneo,

[root@mian sub.mydomain.com]# NO_DOCKER=true make dev
make dependencies
make[1]: Entering directory '/home/aketest/sub.mydomain.com'
php -d memory_limit=4G /usr/local/bin/composer update
Do not run Composer as root/super user! See https://getcomposer.org/root for details
Continue as root/super user [yes]? y
Loading composer repositories with package information
Updating dependencies
Your requirements could not be resolved to an installable set of packages.

  Problem 1
    - akeneo/pim-community-dev[v5.0.0, ..., v5.0.67] require ext-apcu * -> it is missing from your system. Install or enable PHP's apcu extension.
    - Root composer.json requires akeneo/pim-community-dev ^5.0.0 -> satisfiable by akeneo/pim-community-dev[v5.0.0, ..., v5.0.67].

To enable extensions, verify that they are enabled in your .ini files:
    - /usr/local/bin/php.ini
You can also run `php --ini` in a terminal to see which files are used by PHP in CLI mode.
Alternatively, you can run Composer with `--ignore-platform-req=ext-apcu` to temporarily ignore these required extensions.
make[1]: *** [Makefile:64: composer.lock] Error 2
make[1]: Leaving directory '/home/aketest/sub.mydomain.com'
make: *** [Makefile:74: dev] Error 2